# WaitlistsList

> List waitlists with status, incentive and signup counts by status. Read access, waitlists toolset, MCP tool list_waitlists.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int` | no | 32-bit integer. Default `200` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistsList","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"2d93f847b17f42bc20aecfdada446a3a2511c60b2f7db59a6da6a8b2431b817c"}}}'
```

## Document

```graphql
query WaitlistsList($first: Int = 200) { __typename allWaitlists(first: $first) { __typename nodes { __typename createdAt id incentiveByIncentiveId { __typename icon iconColor id incentiveRulesByIncentiveId { __typename nodes { __typename id kindSlug } } name rowId } name releasedAt rowId slug status signups: waitlistSignupsByWaitlistId { __typename byStatus: groupedAggregates(groupBy: [STATUS]) { __typename distinctCount { __typename rowId } keys } totalCount } } totalCount } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlists-list
